<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
</head>
<div class="container">
    <center><h2>User Details</h2></center>
    <a href="/logout" class="btn btn-primary">logout</a>
    <table class="table">
        <thead>
          <tr>
            <th scope="col">FirstName</th>
            <th scope="col">LastName</th>
            <th scope="col">Email</th>
            <th scope="col">Phone Number</th>
            <th scope="col">Action</th>
          </tr>
        </thead>
        <tbody>
          
            {% for customStrings in customString %}
            <tr>
                <td>{{ customStrings.firstname }}</td>
                <td>{{ customStrings.lastname  }}</td>
                <td>{{ customStrings.email  }}</td>
                <td>{{ customStrings.phoneNumberr  }}</td>
                <td><a href="/update/{{ customStrings.id }}" class="btn btn-warning">Update</a>&nbsp;<a href="/delete/{{ customStrings.id }}" class="btn btn-danger">Delete</a></td>
            </tr>
            {% endfor %}
        </tbody>
      </table>    
</div>
    {# {% for key,value in customString %}
      {{ dump(key) }} = {{ dump(value)  }}
    {% endfor %} #}

    {# {{ dump(customString) }} #}

</body>
</html>